pcl::PPFRGBSignature Struct Reference
Module common

A point structure for storing the Point Pair Color Feature (PPFRGB) values. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

| PPFRGBSignature (float _alpha=0.f)
| PPFRGBSignature (float _f1, float _f2, float _f3, float _f4, float _alpha=0.f)
| PPFRGBSignature (float _f1, float _f2, float _f3, float _f4, float _alpha, float _r, float _g, float _b)

## Public Attributes

float | f1 = 0.f
float | f2 = 0.f
float | f3 = 0.f
float | f4 = 0.f
float | r_ratio = 0.f
float | g_ratio = 0.f
float | b_ratio = 0.f
float | alpha_m = 0.f

## Friends

std::ostream & | operator<< (std::ostream &os, const PPFRGBSignature &p)

## Detailed Description

A point structure for storing the Point Pair Color Feature (PPFRGB) values.

Definition at line 1417 of file point_types.hpp.

## Constructor & Destructor Documentation

## PPFRGBSignature() [1/3]

pcl::PPFRGBSignature::PPFRGBSignature | ( | float | _alpha = `0.f` | ) |

inline

Definition at line 1423 of file point_types.hpp.

## PPFRGBSignature() [2/3]

pcl::PPFRGBSignature::PPFRGBSignature | ( | float | _f1,
|  | float | _f2,
|  | float | _f3,
|  | float | _f4,
|  | float | _alpha = `0.f`
| ) |  |

inline

Definition at line 1425 of file point_types.hpp.

## PPFRGBSignature() [3/3]

pcl::PPFRGBSignature::PPFRGBSignature | ( | float | _f1,
|  | float | _f2,
|  | float | _f3,
|  | float | _f4,
|  | float | _alpha,
|  | float | _r,
|  | float | _g,
|  | float | _b
| ) |  |

inline

Definition at line 1428 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PPFRGBSignature & | p
| ) |  |

friend

## Member Data Documentation

## alpha_m

float pcl::PPFRGBSignature::alpha_m = 0.f

Definition at line 1421 of file point_types.hpp.

## b_ratio

float pcl::PPFRGBSignature::b_ratio = 0.f

Definition at line 1420 of file point_types.hpp.

## f1

float pcl::PPFRGBSignature::f1 = 0.f

Definition at line 1419 of file point_types.hpp.

## f2

float pcl::PPFRGBSignature::f2 = 0.f

Definition at line 1419 of file point_types.hpp.

## f3

float pcl::PPFRGBSignature::f3 = 0.f

Definition at line 1419 of file point_types.hpp.

## f4

float pcl::PPFRGBSignature::f4 = 0.f

Definition at line 1419 of file point_types.hpp.

## g_ratio

float pcl::PPFRGBSignature::g_ratio = 0.f

Definition at line 1420 of file point_types.hpp.

## r_ratio

float pcl::PPFRGBSignature::r_ratio = 0.f

Definition at line 1420 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp